Bug 1308753 - pcsc-tools smart card database out of date
Summary: pcsc-tools smart card database out of date
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pcsc-tools
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-15 23:25 UTC by W. Michael Petullo
Modified: 2016-03-09 20:12 UTC (History)
1 user (show)

Fixed In Version: pcsc-tools-1.4.25-1.fc23 pcsc-tools-1.4.25-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-28 12:19:32 UTC


Attachments (Terms of Use)

Description W. Michael Petullo 2016-02-15 23:25:22 UTC
Description of problem:
The smart card database distributed with pcsc-tools appears our of date.

Version-Release number of selected component (if applicable):
pcsc-tools-1.4.23-2.fc23.x86_64

How reproducible:
Every time.

Steps to Reproduce:
1. Insert a PIVKey C910 smart card into a smart-card reader
2. Run pcsc_scan

Actual results:
$ pcsc_scan 
PC/SC device scanner
V 1.4.23 (c) 2001-2011, Ludovic Rousseau <ludovic.rousseau@free.fr>
Compiled with PC/SC lite version: 1.8.13
Using reader plug'n play mechanism
Scanning present readers...
0: SCM Microsystems Inc. SCR 331 [CCID Interface] (21120951200493) 00 00

Mon Feb 15 18:21:18 2016
Reader 0: SCM Microsystems Inc. SCR 331 [CCID Interface] (21120951200493) 00 00
  Card state: Card inserted, 
  ATR: 3B FC 18 00 00 81 31 80 45 90 67 46 4A 00 64 16 06 F2 72 7E 00 E0

ATR: 3B FC 18 00 00 81 31 80 45 90 67 46 4A 00 64 16 06 F2 72 7E 00 E0
+ TS = 3B --> Direct Convention
+ T0 = FC, Y(1): 1111, K: 12 (historical bytes)
  TA(1) = 18 --> Fi=372, Di=12, 31 cycles/ETU
    129032 bits/s at 4 MHz, fMax for Fi = 5 MHz => 161290 bits/s
  TB(1) = 00 --> VPP is not electrically connected
  TC(1) = 00 --> Extra guard time: 0
  TD(1) = 81 --> Y(i+1) = 1000, Protocol T = 1 
-----
  TD(2) = 31 --> Y(i+1) = 0011, Protocol T = 1 
-----
  TA(3) = 80 --> IFSC: 128
  TB(3) = 45 --> Block Waiting Integer: 4 - Character Waiting Integer: 5
+ Historical bytes: 90 67 46 4A 00 64 16 06 F2 72 7E 00
  Category indicator byte: 90 (proprietary format)
+ TCK = E0 (correct checksum)

Possibly identified card (using /usr/share/pcsc/smartcard_list.txt):
	NONE

find: ‘/home/mike/.cache/smartcard_list.txt’: No such file or directory
Your card is not present in the database.
Please submit your unknown card at:
http://smartcard-atr.appspot.com/parse?ATR=3BFC180000813180459067464A00641606F2727E00E0

Expected results:
I would expect pcsc_scan to properly identify my smart card.

Additional info:
I submitted the information about this smart card per the URL above. There, I was instructed that my card is a "PIVKey C910 PKI Smart Card (eID)". Indeed, the database at http://ludovic.rousseau.free.fr/softwares/pcsc-tools/smartcard_list.txt contains the information about my card.

Comment 1 Fedora Update System 2016-02-26 15:21:40 UTC
pcsc-tools-1.4.25-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cf76b42abd

Comment 2 Fedora Update System 2016-02-26 15:21:40 UTC
pcsc-tools-1.4.25-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1cd3680a18

Comment 3 Fedora Update System 2016-02-26 15:21:42 UTC
pcsc-tools-1.4.25-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cf76b42abd

Comment 4 Fedora Update System 2016-02-26 15:21:44 UTC
pcsc-tools-1.4.25-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cf76b42abd

Comment 5 Fedora Update System 2016-02-26 20:51:23 UTC
pcsc-tools-1.4.25-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1cd3680a18

Comment 6 Fedora Update System 2016-02-26 20:52:23 UTC
pcsc-tools-1.4.25-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cf76b42abd

Comment 7 Fedora Update System 2016-02-28 12:19:30 UTC
pcsc-tools-1.4.25-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-03-09 16:22:39 UTC
pcsc-tools-1.4.25-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-03-09 20:12:25 UTC
pcsc-tools-1.4.25-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.